Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.webapp
Class MetaInfConfiguration

    java.lang.Object
      org.eclipse.jetty.webapp.AbstractConfiguration
          org.eclipse.jetty.webapp.MetaInfConfiguration

All Implemented Interfaces:
  Configuration

    public class MetaInfConfiguration

extends AbstractConfiguration

MetaInfConfiguration Scan META-INF of all jars in WEB-INF/lib to find:

- tlds
- web-fragment.xml
- resources

Field Summary
`static java.lang.String` | `METAINF_FRAGMENTS`
`static java.lang.String` | `METAINF_RESOURCES`
`static java.lang.String` | `METAINF_TLDS`

Constructor Summary
`MetaInfConfiguration()`

Method Summary
`void` | `addResource(WebAppContext context, java.lang.String attribute, Resource jar)`
`void` | `configure(WebAppContext context)` Configure WebApp.
`void` | `deconfigure(WebAppContext context)` DeConfigure WebApp.
`void` | `postConfigure(WebAppContext context)` Clear down after configuration.
`void` | `preConfigure(WebAppContext context)` Set up for configuration.
`protected void` | `processEntry(WebAppContext context, java.net.URI jarUri, java.util.jar.JarEntry entry)`

Methods inherited from class org.eclipse.jetty.webapp.AbstractConfiguration
`cloneConfigure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### METAINF_TLDS

    public static final java.lang.String METAINF_TLDS

See Also:
  Constant Field Values

### METAINF_FRAGMENTS

    public static final java.lang.String METAINF_FRAGMENTS

See Also:
  Constant Field Values

### METAINF_RESOURCES

    public static final java.lang.String METAINF_RESOURCES

See Also:
  Constant Field Values

Constructor Detail

### MetaInfConfiguration

    public MetaInfConfiguration()

Method Detail

### preConfigure

    public void preConfigure(WebAppContext context)
                      throws java.lang.Exception

  Description copied from interface: `Configuration`
  Set up for configuration.

  Typically this step discovers configuration resources

  Specified by:
    `preConfigure` in interface `Configuration`
  Overrides:
    `preConfigure` in class `AbstractConfiguration`
  Parameters:
    `context` - The context to configure
  Throws:
    `java.lang.Exception`

### configure

    public void configure(WebAppContext context)
                   throws java.lang.Exception

  Description copied from interface: `Configuration`
  Configure WebApp.

  Typically this step applies the discovered configuration resources to either the `WebAppContext` or the associated `MetaData`.

  Specified by:
    `configure` in interface `Configuration`
  Overrides:
    `configure` in class `AbstractConfiguration`
  Parameters:
    `context` - The context to configure
  Throws:
    `java.lang.Exception`

### deconfigure

    public void deconfigure(WebAppContext context)
                     throws java.lang.Exception

  Description copied from interface: `Configuration`
  DeConfigure WebApp. This method is called to undo all configuration done. This is called to allow the context to work correctly over a stop/start cycle

  Specified by:
    `deconfigure` in interface `Configuration`
  Overrides:
    `deconfigure` in class `AbstractConfiguration`
  Parameters:
    `context` - The context to configure
  Throws:
    `java.lang.Exception`

### postConfigure

    public void postConfigure(WebAppContext context)
                       throws java.lang.Exception

  Description copied from interface: `Configuration`
  Clear down after configuration.

  Specified by:
    `postConfigure` in interface `Configuration`
  Overrides:
    `postConfigure` in class `AbstractConfiguration`
  Parameters:
    `context` - The context to configure
  Throws:
    `java.lang.Exception`

### addResource

    public void addResource(WebAppContext context,
                            java.lang.String attribute,
                            Resource jar)

### processEntry

    protected void processEntry(WebAppContext context,
                                java.net.URI jarUri,
                                java.util.jar.JarEntry entry)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.